{
   std::ifstream inputFile("a.txt");
   if(!inputFile)
   {
      std::cout<<"Cannot open a.txt\n";
      return;
   }

   gStyle->SetCanvasPreferGL(true);
   gStyle->SetPalette(1);
   gStyle->SetPaletteOpacity(1.);

   TH3F * hist = new TH3F("a", "b", 21, -50., 50., 21, -50., 50., 21, -50., 50.);
   double a = 0., b = 0., c = 0., dosa = 0., d = 0.;
   for(int i = 0; i < 21; ++i)
   {
      for(int j = 0; j < 21; ++j)
      {
         for(int k = 0; k < 21; ++k)
         {
            inputFile>>a>>b>>c>>dosa>>d;
            hist->SetBinContent(i + 1, j + 1, k + 1, TMath::Log10(dosa));
         }
      }
   }

   hist->Draw("glbox2");
}
